# Angular::Hotkeys::Rails
================

Configuration-centric keyboard shortcuts for your Rails + Angular apps, with
powerful [Mousetrap](https://github.com/ccampbell/mousetrap) under the hood.

This gem is just a simple wrapper around this two awesome libraries

* [Mousetrap](https://github.com/ccampbell/mousetrap)
* [angular-hotkeys](https://github.com/chieffancypants/angular-hotkeys)

## Installation

Add this line to your application's Gemfile:

    gem 'angular-hotkeys-rails'

And then execute:

    $ bundle

Now you are able to add this awesome feature into your product by adding following lines:

```coffeescript
//= require angular/hotkeys     # ---> application.js
```

```css
*= require angular/hotkeys      # ---> application.css
```

### Usage:

You can either define hotkeys in your Controller, or in your Route
configuration (or both).  To start, though, require the lib as a dependency for
your angular app:

```js
angular.module('myApp', ['ngRoute', 'cfp.hotkeys']);
```

Now you could easily check it out by pressing `Cmd` + `?`

Behind the scenes, there is [Mousetrap](https://github.com/ccampbell/mousetrap) library to manage the key
bindings.  Check out the docs there for more information on what kind of key
combinations can be used.

You could find more examples on the following link [Examples](https://github.com/chieffancypants/angular-hotkeys#usage)

## Dependency

Please take into account this library take care only about
[Mousetrap](https://github.com/ccampbell/mousetrap) dependency, under the hood it depends on
[mousetrap-rails](https://github.com/kugaevsky/mousetrap-rails). That basically means you still have to add `Angular JS` manually.

You could consider to add [angularjs-rails](https://github.com/hiravgandhi/angularjs-rails) it works perfectly fine.

## Contributing

1. Fork it ( https://github.com/shemerey/angular-hotkeys-rails/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
